> For the complete documentation index, see [llms.txt](https://docs.1kosmos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.1kosmos.com/identity-verification/verifiable-credentials/1kosmos-interoperability-with-verifiable-credentials-platforms.md).

# 1Kosmos Interoperability with Verifiable Credentials Platforms

***

**Verifiable Credentials (VC)** are a standardized data model with a secure expression protocol that many industries and contexts can use to issue and verify credentials.

Credentials created for one narrow purpose can be used for another at the discretion of their holder or subject, requiring no technical federation to the originating issuers. The 1Kosmos implementation of the verifiable credentials specification conforms to this fundamental premise and is a highly interoperable implementation.

#### Azure ION

Azure ION is a Layer 2 permissionless network based on the purely deterministic *Sidetree* protocol, which requires no special tokens, trusted validators, or additional consensus mechanisms.

#### 1Kosmos Verifiable Credentials Samples

**Sample VC Attestation Template**

```json
{
   "attestations":{
      "idTokens":[
         {
            "id":"https://self-issued.me",
            "mapping":{
               "firstName":{
                  "claim":"$.given_name"
               },
               "lastName":{
                  "claim":"$.family_name"
               }
            },
            "configuration":"https://self-issued.me",
            "client_id":"",
            "redirect_uri":""
         }
      ]
   },
   "validityInterval":2592001,
   "vc":{
      "type":[
         "VerifiedCredentialExpert"
      ]
   }
}
```

**COVID-19 Vaccination Credential Sample**

```json
{
   "@context":[
      "https://www.w3.org/2018/credentials/v1",
      "https://w3id.org/vaccination/v1"
   ],
   "type":[
      "VerifiableCredential",
      "VaccinationCertificate"
   ],
   "id":"urn:uvci:af5vshde843jf831j128fj",
   "name":"COVID-19 Vaccination Certificate",
   "description":"COVID-19 Vaccination Certificate",
   "issuanceDate":"2019-12-03T12:19:52Z",
   "expirationDate":"2029-12-03T12:19:52Z",
   "issuer":"did:key:z6MkiY62766b1LJkExWMsM3QG4WtX7QpY823dxoYzr9qZvJ3",
   "credentialSubject":{
      "type":"VaccinationEvent",
      "batchNumber":"1183738569",
      "administeringCentre":"MoH",
      "healthProfessional":"MoH",
      "countryOfVaccination":"US",
      "vaccine":{
         "type":"Vaccine",
         "disease":"COVID-19",
         "atcCode":"J07BX03",
         "medicinalProductName":"COVID-19 Vaccine Moderna",
         "marketingAuthorizationHolder":"Moderna Biotech"
      }
   },
   "proof":{
      "type":"Ed25519Signature2018",
      "created":"2021-02-18T23:00:15Z",
      "jws":"eyJhbGciOiJFZERTQSIsImI2NCI6ZmFsc2UsImNyaXQiOlsiYjY0Il19..vD_vXJCWdeGpN-qKHDIlzgGC0auRPcwp3O1sOI-gN8z3UD4pI0HO_77ob5KHhhU1ugLrrwrMsKv71mqHBn-dBg",
      "proofPurpose":"assertionMethod",
      "verificationMethod":"did:key:z6MkiY62766b1LJkExWMsM3QG4WtX7QpY823dxoYzr9qZvJ3#z6MkiY62766b1LJkExWMsM3QG4WtX7QpY823dxoYzr9qZvJ3"
   }
}
```

**University Certificate Credential Sample**

```json
{
   "@context":[
      "https://www.w3.org/2018/credentials/v1",
      "https://w3id.org/vaccination/v1"
   ],
   "type":[
      "VerifiableCredential",
      "UniversityCredential"
   ],
   "id":"urn:uvci:af5vshde843jf831j128fj",
   "name":"University X Credential",
   "description":"University X Credential",
   "issuanceDate":"2019-12-03T12:19:52Z",
   "expirationDate":"2029-12-03T12:19:52Z",
   "issuer":"did:key:z6MkiY62766b1LJkExWMsM3QG4WtX7QpY823dxoYzr9qZvJ3",
   "credentialSubject":{
      "type":"GraduationEvent",
      "batchNumber":"1183738569",
      "administeringCentre":"MoH",
      "Dean":"Rohan",
      "Country":"CA",
      "degree":{
         "type":"Graduation",
         "subject":"Computer Sciences",
         "subCode":"A90210B"
      }
   },
   "proof":{
      "type":"Ed25519Signature2018",
      "created":"2021-02-18T23:00:15Z",
      "jws":"eyJhbGciOiJFZERTQSIsImI2NCI6ZmFsc2UsImNyaXQiOlsiYjY0Il19..vD_vXJCWdeGpN-qKHDIlzgGC0auRPcwp3O1sOI-gN8z3UD4pI0HO_77ob5KHhhU1ugLrrwrMsKv71mqHBn-dBg",
      "proofPurpose":"assertionMethod",
      "verificationMethod":"did:key:z6MkiY62766b1LJkExWMsM3QG4WtX7QpY823dxoYzr9qZvJ3#z6MkiY62766b1LJkExWMsM3QG4WtX7QpY823dxoYzr9qZvJ3"
   }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.1kosmos.com/identity-verification/verifiable-credentials/1kosmos-interoperability-with-verifiable-credentials-platforms.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
